Subject: [IPFIX] obsoleting obsoletion in 5102-bis and IE-DOCTORS

From: Brian Trammell <[email-masked]>
Date: Wed, 22 Aug 2012 13:37:13 +0200

Greetings, all,

Following the discussion in Vancouver, I propose to modify RFC5102-bis and the IE-DOCTORS draft to remove the 'obsolete' status; the arguments presented there that two different ways to say "this IE is dead" don't really reflect operational realities seem to me to be pretty convincing.

Any objections?

Cheers,

Brian

---

From: Paul Aitken <[email-masked]>
Date: Wed, 22 Aug 2012 13:54:26 +0100

Brian,

No objection.

Consider VRRP: although VRRP v2 (RFC 3768) was obsoleted by VRRP v3 (RFC 
5798), v2 is still in common use.

We should expect the same for IPFIX IEs: obsolete IEs may continue in 
use for many years because people are unaware, unable, or simply 
unwilling to update.

Can IANA record the obsolescence date individually for each field?

Reviewing draft-ietf-ipfix-ie-doctors-03,

    The use of deprecated Information Elements SHOULD result
    in a log entry or human-readable warning at the Exporting and
    Collecting Processes.

That's just not possible. How can an existing EP know that its IEs have 
been deprecated? - Unless it's able to reference IANA, and method (1) of 
yesterday's discussion is in use.

However, that's not desirable since it allows a third party (whoever 
causes the IANA deprecation) to cause warnings to appear in your tried 
and tested and perfectly good EP - CP setup.

Thanks,
P.

On 22/08/12 12:37, Brian Trammell wrote:
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix

---

From: Brian Trammell <[email-masked]>
Date: Wed, 22 Aug 2012 15:14:14 +0200

On Aug 22, 2012, at 2:54 PM, Paul Aitken wrote:

> Brian,
> 
> No objection.
> 
> Consider VRRP: although VRRP v2 (RFC 3768) was obsoleted by VRRP v3 (RFC 5798), v2 is still in common use.
> 
> We should expect the same for IPFIX IEs: obsolete IEs may continue in use for many years because people are unaware, unable, or simply unwilling to update.
> 

Yep. From IE-DOCTORS (current -04 working copy):

The revision number of an Information Element is incremented upon deprecation, and the revision date updated.

> That's just not possible. How can an existing EP know that its IEs have been deprecated? - Unless it's able to reference IANA, and method (1) of yesterday's discussion is in use.

An EP using a deprecated IE sending to a CP using a deprecated IE has in essence no problem -- sure, they're deprecated, but they're interoperating ("living in the past") one could say.

As soon as _one_ of them is updated, though, then one of them SHOULD log (within reason - once per IE per runtime should suffice, but this is an implementation detail). 

How about "the use of IEs known by a CP or an EP to be deprecated"...?

> However, that's not desirable since it allows a third party (whoever causes the IANA deprecation) to cause warnings to appear in your tried and tested and perfectly good EP - CP setup.

Which is the last remaining question on IE-DOCTORS, and the short version of the other thread: to remove ESIE Reference from IE-DOCTORS or not?

Cheers,

Brian

---

From: Paul Aitken <[email-masked]>
Date: Wed, 22 Aug 2012 14:27:05 +0100

Brian,

> The revision number of an Information Element is incremented upon deprecation, and the revision date updated.

Which revision date is that? The overall revision date of the registry?

> How about "the use of IEs known by a CP or an EP to be deprecated"...?

That would work.

Note that if the EP is to do this, then it knows that it's using a 
deprecated IE, so it's part-way to answering Benoit's note/objection.

> Which is the last remaining question on IE-DOCTORS, and the short version of the other thread: to remove ESIE Reference from IE-DOCTORS or not?

We need wider community input on this one.

P.

---

From: Brian Trammell <[email-masked]>
Date: Wed, 22 Aug 2012 16:27:04 +0200

> Which revision date is that? The overall revision date of the registry?

The revision date of the IE, will clarify.

> Note that if the EP is to do this, then it knows that it's using a deprecated IE, so it's part-way to answering Benoit's note/objection.

The only case it doesn't cover is old EP (still using a pre-standardization ESIE, and therefore not exporting equivalence) exporting to a new CP (using IANA, and doesn't know anything about the ESIE).

> We need wider community input on this one.

Indeed.

Cheers,

Brian